Skip to main content

Send Cloud to Device Message

POST 

/workspaces/:workspaceId/devices/:deviceId/c2d-messages

Sends message to a device. The message has time-to-live (TTL) of 48 hours after it is accepted by this API. If the device does not fetch the message in time or fails to process the message 10 times, the message is discarded.

Optionally, feedback about how the device processed the command can be requested via the Request-Feedback header (allowed values: complete, reject, or both separated by a comma). When feedback is requested, the Reply-To-Stream and Reply-To-Stream-Group headers are required and must reference an existing ingress stream. The device sends the feedback to that stream. The returned message id can be used to correlate the command with its feedback.

Request

Responses

Success. Message is accepted and will be delivered to device. The response contains the generated message id.